/*
 * TestStubLogger.java
 *
 * Created on 18. leden 2007, 9:53
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cz.novoj.emt.stub;

import cz.novoj.emt.ILogger;

/**
 * Test stub for logger.
 * 
 * @author Rodina Novotnych
 */
public class StubLogger implements ILogger {
    private Exception lastException;
    private int callCounter = 0;
    
    public void logError(String errorMessage, Exception exception) {
        this.lastException = exception;
        callCounter++;
    }


	public Exception getLastException() {
		return lastException;
	}

	public int getCallCounter() {
		return callCounter;
	}
}
